%global _empty_manifest_terminate_build 0
Name:           perl-File-Find-Rule-Perl
Version:        1.16
Release:        1
Summary:        Common rules for searching for Perl things
License:        GPL-1.0-or-later or Artistic-1.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-Find-Rule-Perl/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/File-Find-Rule-Perl-%{version}.tar.gz
# Filter out the files rpm generates in sourcedir.
Patch0001:      0001-File-Find-Rule-Perl-1.16-fedora.patch 
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find::Rule) >= 0.20
BuildRequires:  perl(File::Spec) >= 0.82
BuildRequires:  perl(Params::Util) >= 0.38
BuildRequires:  perl(Parse::CPAN::Meta) >= 1.38
BuildRequires:  perl(Test::More)
Requires:       perl(File::Find::Rule) >= 0.20
Requires:       perl(File::Spec) >= 0.82
Requires:       perl(Params::Util) >= 0.38
Requires:       perl(Parse::CPAN::Meta) >= 1.38
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
I write a lot of things that muck with Perl files. And it always annoyed
me that finding "perl files" requires a moderately complex
File::Find::Rule pattern.
%package help
Summary : Common rules for searching for Perl things
Provides: perl-File-Find-Rule-Perl-doc
%description help
I write a lot of things that muck with Perl files. And it always annoyed
me that finding "perl files" requires a moderately complex
File::Find::Rule pattern.
%prep
%autosetup -n File-Find-Rule-Perl-%{version} -p1
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}
 
%install
%{make_install} DESTDIR="$RPM_BUILD_ROOT"
%{_fixperms} "$RPM_BUILD_ROOT"/*
 
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%files help
%{_mandir}/*

%changelog
* Tue Jun 21 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.16-1
- Upgrade to version 1.16

* Wed Jun 30 2021 lingsheng <lingsheng@huawei.com> 1.15-2
- Add ignore files to fix test fail

* Wed Aug 12 2020 weidong <weidong@uniontech.com> 1.15-1
- Initial release for OpenEuler
